### Constructor

# GdkPixbuf.Pixbuf.new_from_resource_at_scale

#### Declaration [src]

    GdkPixbuf*
    gdk_pixbuf_new_from_resource_at_scale (
      const char* resource_path,
      int width,
      int height,
      gboolean preserve_aspect_ratio,
      GError** error
    )

#### Description [src]

Creates a new pixbuf by loading an image from an resource.

The file format is detected automatically. If `NULL` is returned, then `error` will be set.

The image will be scaled to fit in the requested size, optionally preserving the image’s aspect ratio. When preserving the aspect ratio, a `width` of -1 will cause the image to be scaled to the exact given height, and a `height` of -1 will cause the image to be scaled to the exact given width. When not preserving aspect ratio, a `width` or `height` of -1 means to not scale the image at all in that dimension.

The stream is not closed.

#### Parameters

`resource_path` | `const char*`
| the path of the resource file
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`width` | `int`
| The width the image should have or -1 to not constrain the width
`height` | `int`
| The height the image should have or -1 to not constrain the height
`preserve_aspect_ratio` | `gboolean`
| `TRUE` to preserve the image’s aspect ratio

#### Return value

Returns: `GdkPixbuf`
A newly-created pixbuf
Ownership of the data is transferred to the caller
Can be `NULL`